routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

Auth::routes();

Route::middleware('auth')->group(function () {
    /* Home */
    Route::get('/', 'HomeController@index')->name('home');

    /* Procedure */
    Route::prefix('procedure')->group(function () {
        Route::name('procedure.')->group(function () {
            Route::get('', 'ProcedureController@index')->name('index');
            Route::get('create', 'ProcedureController@create')->name('create');
            Route::post('', 'ProcedureController@store')->name('store');
            Route::get('{id}/edit', 'ProcedureController@edit')->name('edit');
            Route::put('{id}', 'ProcedureController@update')->name('update');
            Route::delete('{id}', 'ProcedureController@destroy')->name('destroy');
            Route::get('{id}/documents', 'ProcedureController@showDocuments')->name('showDocuments');
            Route::get('{id}/contacts', 'ProcedureController@showContacts')->name('showContacts');
            Route::get('search/{query}', 'ProcedureController@search')->name('search');
        });
    });

    /* Category */
    Route::prefix('category')->group(function () {
        Route::name('category.')->group(function () {
            Route::post('', 'CategoryController@store')->name('store');
            Route::put('{id}', 'CategoryController@update')->name('update');
            Route::delete('{id}', 'CategoryController@destroy')->name('destroy');
        });
    });

    /* Document */
    Route::prefix('document')->group(function () {
        Route::name('document.')->group(function () {
            Route::post('', 'DocumentController@store')->name('store');
            Route::post('{id}/file', 'DocumentController@storeFile')->name('store.file');
            Route::get('{id}/file', 'DocumentController@downloadFile')->name('download.file');
            Route::put('{id}', 'ProcedureController@update')->name('update');
            Route::delete('{id}', 'ProcedureController@destroy')->name('destroy');
        });
    });

    /* Contact */
    Route::prefix('contact')->group(function () {
        Route::name('contact.')->group(function () {
            Route::post('', 'ContactController@store')->name('store');
            Route::put('{id}', 'ContactController@update')->name('update');
            Route::delete('{id}', 'ContactController@destroy')->name('destroy');
            Route::get('{id}/phones', 'ContactController@showPhones')->name('showPhones');
        });
    });

    /*Phone*/
    Route::prefix('phone')->group(function () {
        Route::name('phone.')->group(function () {
            Route::post('', 'PhoneController@store')->name('store');
            Route::put('{id}', 'PhoneController@update')->name('update');
            Route::delete('{id}', 'PhoneController@destroy')->name('destroy');
        });
    });
});

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}"></script>
{{--    <script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js"></script>--}}
    <script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>

{{--    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.5.0/min/dropzone.min.css">--}}
{{--    <script rel="stylesheet" src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.5.0/dropzone.js"></script>--}}

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css"/>
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <div id='flash-container' class='flash-container'></div>
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">
                        <li class="nav-item dropdown">
                            <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                               Procedure <span class="caret"></span>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                <a class="dropdown-item" href="{{ route('procedure.index') }}">
                                    Rechercher
                                </a>
                                <a class="dropdown-item" href="{{ route('procedure.create') }}">
                                    Ajouter
                                </a>
                            </div>
                        </li>
                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                            </li>
                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        @include('layouts/flash')
        <main class="py-4">
            @yield('content')
        </main>
    </div>

@yield('script')

</body>
</html>

resources/views/layouts/flash.blade.php
@if ($message = Session::get('success'))
    <div class="alert alert-success alert-block m-auto w-25 text-center">
        <button type="button" class="close" data-dismiss="alert">×</button>
        <strong>{{ $message }}</strong>
    </div>
@endif


@if ($message = Session::get('error'))
    <div class="alert alert-danger alert-block">
        <button type="button" class="close" data-dismiss="alert">×</button>
        <strong>{{ $message }}</strong>
    </div>
@endif


@if ($message = Session::get('warning'))
    <div class="alert alert-warning alert-block">
        <button type="button" class="close" data-dismiss="alert">×</button>
        <strong>{{ $message }}</strong>
    </div>
@endif


@if ($message = Session::get('info'))
    <div class="alert alert-info alert-block">
        <button type="button" class="close" data-dismiss="alert">×</button>
        <strong>{{ $message }}</strong>
    </div>
@endif